Subject: Re: [PATCH] Re: ep93xx_eth PHY problems

From: Jeff Garzik <[email-masked]>
Date: Wed, 26 Mar 2008 00:42:32 -0400

Oliver Martin wrote:
> Am Tue, 04 Mar 2008 14:02:15 +0100
> schrieb Oliver Martin <[email-masked]>:
>> Now I'm having different problems: When auto-negotiation is enabled,
>> it sometimes randomly changes the link state:
>>
>> PHY: 0:01 - Link is Down
>> PHY: 0:01 - Link is Up - 100/Full
>>
> 
> I've found at least one part of the problem. The MDIO clock divisor
> wasn't set again after the reset in ep93xx_start_hw. It was left at the
> default, resulting in a 12.5 MHz clock, which the PHY (Micrel KSZ8721BL)
> didn't like too much. Calling ep93xx_mdio_reset after the reset fixed
> it, the link is now perfectly stable in auto-negotiation mode.
> 
> There still seems to be another bug with auto-negotiation disabled: It
> doesn't switch to 1000 Mbps any more, but most times it doesn't stay in
> the intended configuration either. I haven't done any extensive
> testing of this yet, though.
> 
> Signed-off-by: Oliver Martin <[email-masked]>

ACKs from Lennert, others?

I don't know enough about the hardware to say...

Seems straightforward to me?

2.6.25 or 2.6.26 material?

Any more testing results?